Update a Kubernetes cluster
PUT/v1/kubernetes_clusters/{id}
A PUT request to /v1/kubernetes_clusters/{id} will update a Kubernetes cluster specified in the path parameter. Attach labels using the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
id | stringA unique identifier of a Kubernetes cluster. |
Request Body
| Field | Details |
|---|---|
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/kubernetes_clusters/pmbkZXaz" \ -H "Content-Type: application/json" \ -d '{ "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }'{ "id": "pmbkZXaz", "name": "k8s-cluster", "status": "pending", "location_id": 1345, "location_code": "location2738", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z"}